@import 'own_variables.sass'
*
	&::selection
		background: $main_color
		color: #fff
	&::-moz-selection
		background: $main_color
		color: #fff

nav
	background-color: $main_color

	.brand-logo
		font-size: 1.5em
		margin-left: 20px
		@media (max-width: 991px)
			margin-left: 0px

	.fullscreen
		width: 30%
		margin-right: 10%
		position: absolute
		right: 0px

	.autocomplete-content > *
		color: $main_color !important

	.side-nav
		color: #000

		.close
			color: $main_color
			text-align: right

			i
				padding-right: 10px
		.search-mobile
			// background-color: #000
			input
				color: $main_color
				width: auto
				margin:
					right: 10px
					left: 40px
				border-color: $main_color

				&:focus
					border-color: $main_color !important

				&::selection
					background: $main_color
					color: #fff

				&::-moz-selection
					background: $main_color
					color: #fff
			  	
				&::-webkit-input-placeholder
					color: $main_color

				&::-moz-placeholder
					color: $main_color

				&:-ms-input-placeholder
					color: $main_color

				&:-moz-placeholder
					color: $main_color
			button
				color: $main_color
				background-color: #fff
				border: 0px
		ul a
			color: $main_color
			font-size: 16px

			li
				border-bottom: 1px solid #e0e0e0

			.title
				margin-left: 8px

.categories
	table
		margin: auto

		td
			text-align: center
			padding:
					top: 0px
					bottom: 0px
			max-width: 100px !important

			a
				&:link
					color: #000
				&:hover
					color: #000
				&:visited
					color: #000
				&:active
					color: #000
				
	.icons
		margin-top: 20px
	.icon
		// margin: 0 15px 0 15px

		img
			text-align: center
			width: 50px
			border-radius: 20%
			padding: 5px

			&:hover
				background-color: $hover_color

.featured-game
	h4
		color: $main-color

	.card
		.card-reveal
			background-color: #fff

		.activator:hover
			cursor: pointer 

		img
			height: 300px
			object-fit: cover

			&:hover
				filter: brightness(115%)

.top5
	margin-top: 40px

	.collection .collection-item
		min-height: 70px

		&:hover
			background-color: $hover_color
			cursor: pointer

			.secondary-content
				color: #FFF600
		
		.rating
			margin-left: auto

		.secondary-content
			position: static
			color: #E9F028

.new-games
	margin-top: 50px

	.card
		&:hover
			cursor: pointer

			.card-image
				filter: brightness(115%)

			.card-content
				background-color: $hover_color

			.secondary-content
				color: #FFF600

		.card-content
			padding: 10px

		.rating
			margin-left: auto

		.secondary-content
			position: static
			color: #E9F028

		.card-reveal
			height: 101%

@media (max-width: 830px)
	.new-games
		.secondary-content
			font-size: 21px

@media (max-width: 750px)
	.featured-games, .top5, .new-games
		margin-top: 15px

	.top5
		.second
			display: none
		.first
			width: 100% !important
			.collection-item
				min-height: 50px !important
				
				.title
					font-size: 14px !important

				.secondary-content
					font-size: 20px !important

				img
					width: 48px
					height: 48px

	.new-games
		.card-content
			height: 65px

		.activator
			display: none !important

		.secondary-content
			float: left
			font-size: 19px !important

@media (max-width: 410px)
	h5
		font-size: 1.5em

	nav .brand-logo
		font-size: 1.1em

	.new-games
		.card .card-image img
			height: 60px
			object-fit: cover

		.secondary-content
			font-size: 13px !important

		.card-content
			height: 55px

			span.truncate
				font-size: 12px